/*
    Добавление нового семестра в semesterSwitcher может сломаться при изменении его представления,
    так как данный код использует данные о семестрах из HTML-документа. На работу backend-а влиять не должно.
 */

$(() => {
    $('#new_semester_button').click(function (e) {
        $(this).prop('disabled', true);
        $.post(URLdir + 'handler/regulatory/new').done(result => {
            let last_sem = $(".semesterSwitcher ul:first-child a");
            let last_sem_html = last_sem.html();
            let season = last_sem_html.slice(0, 5);
            let year = last_sem_html.slice(6, 10);
            let id = parseInt(last_sem.attr("id").slice(2))+1;
            let string_id = last_sem.attr("id").slice(0, 2) + id.toString();
            if (season === "Весна") {
                season = "Осень";
            }
            else {
                season = "Весна";
                year++;
            }
            $('.semesterSwitcher ul').prepend('<li><a href=\"#\" id=\"' + string_id + '\" class=\"switchSemester\">'+ season + ' ' + year + '</a></li>');
            Popup.success('Семестр добавлен');

        }).fail(result => {
            Popup.error('Ошибка при добавлении семестра');
        }).always(result => {
            $(this).prop('disabled', false);
        });
    });
});
